Subject: RE: Creating a local mirror for setup.exe
From: "Gerald S. Williams" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Fri, 22 Feb 2002 08:48:13 -0500

I know about the bug in pthreads, but we have not seen it
in practice and require threading support for our testing.
We actually have a C API that wraps our Python threading
calls (an interesting story), so perhaps we are protected
from it due to the way we use it.

I would be interested in more information on the pthreads
problem and possibly helping out with the fix, although I
haven't taken the time to dig around in the code and find
the offending code yet. If I followed the thread properly,
there is some dependency on a SignalObjectAndWait function
that isn't natively supported on Windows and hasn't been
emulated correctly, so there is now a race condition.

Another option would be to provide a Cygwin workaround in
the Python codebase (perhaps falling back on the Windows
implementation). This might be a good idea anyway until
the pthreads fix has been tested and put into an official
release.

BTW, Cygwin is not the only platform to have problems with
pthreads. Another member of my group found a problem with
the Solaris pthreads package that he had to work around.

-Jerry

-O Gerald S. Williams, 22Y-103GA : mailto:[email-masked] O-
-O AGERE SYSTEMS, 555 UNION BLVD : office:610-712-8661  O-
-O ALLENTOWN, PA, USA 18109-3286 : mobile:908-672-7592  O-

Jason Tishler wrote:
> On Wed, Feb 20, 2002 at 05:49:48PM -0500, Gerald S. Williams wrote:
> > I need to build Python with threads enabled ...
> 
> I would *not* recommend the above.  Please read the README:
> 
>     http://www.tishler.net/jason/software/python/python-2.2.README
> 
> Specifically, issue #3.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/